# Class AbstractMobileController

Mobile application abstract controller.

This file includes `import`'s mobile components/directives used by the HTML page and the controller to provide the configuration.

#### Hierarchy (view full)

- AbstractAppController
  - AbstractMobileController

- Defined in src/controllers/AbstractMobileController.js:38
- Defined in src/controllers/AbstractMobileController.js:184

#####
Index

### Constructors

constructor

### Properties

$scope
backgroundLayerMgr_
defaultLang
dimensions
displaywindowContent
displaywindowDraggableContainment
displaywindowHeight
displaywindowOpen
displaywindowTitle
displaywindowUrl
displaywindowWidth
drawFeatureLayer
filterSelectorActive
filterSelectorEnabled
gettextCatalog
gmfThemeManager
gmfThemes
gmfTreeManager_
gmfUser
hasEditableLayers
hasPrivateLayers
lang
langUrls
leftNavVisible
loading
loginActive
loginRedirectUrl
manageResize
map
mapToolsGroup
measureAreaActive
measureLengthActive
measurePointActive
ngeoLocation
ngeoMapQuerent_
options
permalink_
postLoading
queryActive
redirectUrl
resizeTransition
rightNavVisible
searchListeners
searchOverlayVisible
stateManager
tmhDynamicLocale
updateHasEditableLayers_
$inject

### Methods

hideNav
initLanguage
navIsVisible
openNavMenu
setDefaultBackground_
switchLanguage
toggleLeftNavVisibility
toggleRightNavVisibility

##
Constructors

### constructor

- new AbstractMobileController($scope, $injector): AbstractMobileController

- #### Parameters

  - $scope: IScope

    Scope.

  - $injector: IInjectorService

    Main injector.

  #### Returns AbstractMobileController

  Overrides AbstractAppController.constructor

  - Defined in src/controllers/AbstractMobileController.js:43

##
Properties

### $scope

$scope: IScope

Inherited from AbstractAppController.$scope

- Defined in src/controllers/AbstractAppController.js:481

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

Inherited from AbstractAppController.backgroundLayerMgr_

- Defined in src/controllers/AbstractAppController.js:438

### defaultLang

defaultLang: string

Default language

Inherited from AbstractAppController.defaultLang

- Defined in src/controllers/AbstractAppController.js:493

### dimensions

dimensions: {}

Inherited from AbstractAppController.dimensions

- Defined in src/controllers/AbstractAppController.js:414

### displaywindowContent

displaywindowContent: string

Inherited from AbstractAppController.displaywindowContent

- Defined in src/controllers/AbstractAppController.js:588
- Defined in src/controllers/AbstractAppController.js:628

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

Inherited from AbstractAppController.displaywindowDraggableContainment

- Defined in src/controllers/AbstractAppController.js:633

### displaywindowHeight

displaywindowHeight: string

Inherited from AbstractAppController.displaywindowHeight

- Defined in src/controllers/AbstractAppController.js:550
- Defined in src/controllers/AbstractAppController.js:638

### displaywindowOpen

displaywindowOpen: boolean

Inherited from AbstractAppController.displaywindowOpen

- Defined in src/controllers/AbstractAppController.js:545
- Defined in src/controllers/AbstractAppController.js:643

### displaywindowTitle

displaywindowTitle: string

Inherited from AbstractAppController.displaywindowTitle

- Defined in src/controllers/AbstractAppController.js:544
- Defined in src/controllers/AbstractAppController.js:648

### displaywindowUrl

displaywindowUrl: string

Inherited from AbstractAppController.displaywindowUrl

- Defined in src/controllers/AbstractAppController.js:574
- Defined in src/controllers/AbstractAppController.js:653

### displaywindowWidth

displaywindowWidth: string

Inherited from AbstractAppController.displaywindowWidth

- Defined in src/controllers/AbstractAppController.js:547
- Defined in src/controllers/AbstractAppController.js:658

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

Inherited from AbstractAppController.drawFeatureLayer

- Defined in src/controllers/AbstractAppController.js:233

### filterSelectorActive

filterSelectorActive: boolean

Inherited from AbstractAppController.filterSelectorActive

- Defined in src/controllers/AbstractAppController.js:367

### filterSelectorEnabled

filterSelectorEnabled: boolean

Inherited from AbstractAppController.filterSelectorEnabled

- Defined in src/controllers/AbstractAppController.js:360
- Defined in src/controllers/AbstractAppController.js:454

### gettextCatalog

gettextCatalog: gettextCatalog

The gettext catalog

Inherited from AbstractAppController.gettextCatalog

- Defined in src/controllers/AbstractAppController.js:507

### gmfThemeManager

gmfThemeManager: ThemeManagerService

Inherited from AbstractAppController.gmfThemeManager

- Defined in src/controllers/AbstractAppController.js:247

### gmfThemes

gmfThemes: ThemesService

Themes service

Inherited from AbstractAppController.gmfThemes

- Defined in src/controllers/AbstractAppController.js:259

### gmfTreeManager_

gmfTreeManager_: LayertreeTreeManager

Inherited from AbstractAppController.gmfTreeManager_

- Defined in src/controllers/AbstractAppController.js:252

### gmfUser

gmfUser: any

Inherited from AbstractAppController.gmfUser

- Defined in src/controllers/AbstractAppController.js:387
- Defined in src/controllers/AbstractAppController.js:394
- Defined in src/controllers/AbstractAppController.js:397

### hasEditableLayers

hasEditableLayers: boolean

Inherited from AbstractAppController.hasEditableLayers

- Defined in src/controllers/AbstractAppController.js:289

### hasPrivateLayers

hasPrivateLayers: boolean

Inherited from AbstractAppController.hasPrivateLayers

- Defined in src/controllers/AbstractAppController.js:336
- Defined in src/controllers/AbstractAppController.js:339

### lang

lang: string

Inherited from AbstractAppController.lang

- Defined in src/controllers/AbstractAppController.js:486
- Defined in src/controllers/AbstractAppController.js:713

### langUrls

langUrls: {}

Languages URL

Inherited from AbstractAppController.langUrls

- Defined in src/controllers/AbstractAppController.js:500

### leftNavVisible

leftNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:49
- Defined in src/controllers/AbstractMobileController.js:143
- Defined in src/controllers/AbstractMobileController.js:156

### loading

loading: boolean

Checks if the themes are loaded

Inherited from AbstractAppController.loading

- Defined in src/controllers/AbstractAppController.js:266
- Defined in src/controllers/AbstractAppController.js:268

### loginActive

loginActive: boolean

Inherited from AbstractAppController.loginActive

- Defined in src/controllers/AbstractAppController.js:325
- Defined in src/controllers/AbstractAppController.js:402

### loginRedirectUrl

loginRedirectUrl: string

URL to redirect to after login success.

Inherited from AbstractAppController.loginRedirectUrl

- Defined in src/controllers/AbstractAppController.js:305
- Defined in src/controllers/AbstractAppController.js:324
- Defined in src/controllers/AbstractAppController.js:330

### manageResize

manageResize: boolean

Whether to update the size of the map on browser window resize.

Inherited from AbstractAppController.manageResize

- Defined in src/controllers/AbstractMobileController.js:112

### map

map: Map

Inherited from AbstractAppController.map

- Defined in src/controllers/AbstractAppController.js:218

### mapToolsGroup

mapToolsGroup: string

Inherited from AbstractAppController.mapToolsGroup

- Defined in src/controllers/AbstractAppController.js:513

### measureAreaActive

measureAreaActive: boolean

The active state of the directive responsible of area measurements.

- Defined in src/controllers/AbstractMobileController.js:66

### measureLengthActive

measureLengthActive: boolean

The active state of the directive responsible of length measurements.

- Defined in src/controllers/AbstractMobileController.js:80

### measurePointActive

measurePointActive: boolean

The active state of the directive responsible of point measurements.

- Defined in src/controllers/AbstractMobileController.js:73

### ngeoLocation

ngeoLocation: StatemanagerLocation

Location service

Inherited from AbstractAppController.ngeoLocation

- Defined in src/controllers/AbstractAppController.js:208

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

Inherited from AbstractAppController.ngeoMapQuerent_

- Defined in src/controllers/AbstractAppController.js:466

### options

options: gmfOptions

Inherited from AbstractAppController.options

- Defined in src/controllers/AbstractAppController.js:85

### permalink_

permalink_: PermalinkService

Permalink service

Inherited from AbstractAppController.permalink_

- Defined in src/controllers/AbstractAppController.js:284

### postLoading

postLoading: boolean

This property is set to `true` when the themes change after a successful login

Inherited from AbstractAppController.postLoading

- Defined in src/controllers/AbstractAppController.js:277

### queryActive

queryActive: boolean

The active state of the ngeo query directive.

Inherited from AbstractAppController.queryActive

- Defined in src/controllers/AbstractAppController.js:461

### redirectUrl

redirectUrl: any

#### Constant

- Defined in src/controllers/AbstractMobileController.js:137

### resizeTransition

resizeTransition: number

The duration (milliseconds) of the animation that may occur on the div containing the map. Used to smoothly resize the map while the animation is in progress.

Inherited from AbstractAppController.resizeTransition

- Defined in src/controllers/AbstractMobileController.js:113

### rightNavVisible

rightNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:54
- Defined in src/controllers/AbstractMobileController.js:120
- Defined in src/controllers/AbstractMobileController.js:128
- Defined in src/controllers/AbstractMobileController.js:149
- Defined in src/controllers/AbstractMobileController.js:157

### searchListeners

searchListeners: any

Listeners passed to searchDirective.

Inherited from AbstractAppController.searchListeners

- Defined in src/controllers/AbstractAppController.js:312

### searchOverlayVisible

searchOverlayVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:59
- Defined in src/controllers/AbstractMobileController.js:106
- Defined in src/controllers/AbstractMobileController.js:109

### stateManager

stateManager: StatemanagerService

Inherited from AbstractAppController.stateManager

- Defined in src/controllers/AbstractAppController.js:471

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

Inherited from AbstractAppController.tmhDynamicLocale

- Defined in src/controllers/AbstractAppController.js:476

### updateHasEditableLayers_

updateHasEditableLayers_: typeof __function

Inherited from AbstractAppController.updateHasEditableLayers_

- Defined in src/controllers/AbstractAppController.js:294

### `Static`$inject

$inject: string[]

Inherited from AbstractAppController.$inject

- Defined in src/controllers/AbstractMobileController.js:184

##
Methods

### hideNav

- hideNav(): void

- Hide both navigation menus.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:155

### initLanguage

- initLanguage(): void

- #### Returns void

  Inherited from AbstractAppController.initLanguage

  - Defined in src/controllers/AbstractAppController.js:718

### navIsVisible

- navIsVisible(): boolean

- #### Returns boolean

  Return true if one of the navigation menus is visible, otherwise false.

  - Defined in src/controllers/AbstractMobileController.js:164

### openNavMenu

- openNavMenu(target): void

- Open the menu with corresponding to the data-target attribute value.

  #### Parameters

  - target: string

    the data-target value.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:173

### setDefaultBackground_

- setDefaultBackground_(theme): void

- #### Parameters

  - theme: GmfTheme

    Theme.

  #### Returns void

  Inherited from AbstractAppController.setDefaultBackground_

  - Defined in src/controllers/AbstractAppController.js:747

### switchLanguage

- switchLanguage(lang): void

- #### Parameters

  - lang: string

    Language code.

  #### Returns void

  Inherited from AbstractAppController.switchLanguage

  - Defined in src/controllers/AbstractAppController.js:706

### toggleLeftNavVisibility

- toggleLeftNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:142

### toggleRightNavVisibility

- toggleRightNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:148